Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.xml
[Groovy] Class GPathResultCollectionDataBindingSource

    java.lang.Object
      org.grails.databinding.xml.GPathResultCollectionDataBindingSource

All Implemented Interfaces:
  CollectionDataBindingSource

    @groovy.transform.CompileStatic
    class GPathResultCollectionDataBindingSource
    extends java.lang.Object

Field Summary
`protected java.util.List` | `dataBindingSources`

Constructor Summary
`GPathResultCollectionDataBindingSource(groovy.util.slurpersupport.GPathResult gpath)`

Method Summary
`java.util.List` | `getDataBindingSources()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### dataBindingSources

    protected java.util.List dataBindingSources

Constructor Detail

### GPathResultCollectionDataBindingSource

    GPathResultCollectionDataBindingSource(groovy.util.slurpersupport.GPathResult gpath)

Method Detail

### getDataBindingSources

    @java.lang.Override
    java.util.List getDataBindingSources()

Groovy Documentation